“二解”指残局中的第二种解法，该解法主要体现在超越了原残局作者设定的解局血量。

***

有些残局作者（如 QB）会故意降低残局的解局血量，以求血量好看或减少对玩家的压迫感或诱惑玩家解局。他们甚至可能会在残局里添加只用于减少伤害的减伤卡（如《伤害瘦身》）。在这些残局作者的设计下，残局会自然而然的拥有大量二解。

***

实战与残局的逻辑其实是不一样的。实战的信息不是完全公开的，而残局的信息是完全公开的。因此，实战其实是求不完全信息博奕下的最优解，而残局则是求完全信息博奕下的最优解。残局作者主动将最优解的血量换成次优解甚至更次解，是残局作者的自由，并且也与实战更为相似，即实战中的玩家尚未求得不完全信息博奕下的最优解，决斗便已结束了。

***

实战难以多次重复，而残局可以多次重复，因此在残局中求得最优解是可以做到的。而若残局作者把血定低了，则解法会容忍少许的渣操。考虑到高超的操作所带来的乐趣会边际效应递减，则提高解法的容错率将是一种思路。

***

其实，残局作者把解局血量定低的最大危害是：残局难以进步了。由于能力、精力、时间等各种因素的制约，残局作者所知道的最优解未必是该残局真正的最优解，在这一前提下把残局解局血量定低了，则真正的最优解将很难出现。

***

实战与残局还有一点不同：实战总有些局面会让玩家十死无生，而残局即使再难，它也是有解的，会给玩家留下九死一生的希望。抱持着希望的残局玩家，将在残局中做到淋漓尽致的反击。此即“长风破浪会有时，直挂云帆济沧海”。在这一过程中，将有诸多古怪思路涌现，很有可能会出现二解。

***

有一种残局制作方法是将一大堆的相关卡片迅速摆好局面，然后通过残局作者的测试来获取解局血量，典型的代表者如无名、幽厉。据无名所说，有了残局编辑器后，局面很快就能摆好，但测试却需要花费远比摆残局更多的时间。这一方法，其实指明了残局的重点应该是测试，更进一步地说，应该是二解，再本质一点说，是残局解法认知的进步。“文章本天成，妙手偶得之”，残局作者把血定高，才能倒逼玩家操作高超。

***

残局作者只知道他目前所知的最优解，但可以肯定有人是打不到这个解的，那么残局作者该去迁就他们吗？迁就到什么水平的玩家才合适呢？（可以靠发布多版本残局来解决这一层次矛盾）

***

残局作者并不需要尽善尽美，只需做到有解即可。残局作者是残局的第一个玩家，他可能玩的并不好，但会成为后来者的一个参照。